Subject: RE: [Mip6] draft-dupont-mip6-dhaadharmful-00.txt

From: Gerardo Giaretta <[email-masked]>
Date: Tue, 25 Oct 2005 14:58:32 +0200

> >  > > => IMHO load balancing should not be provided by a 
> DHAAD mechanism
> > 
> >>>but by HA assignment or HA-switch.
> >>
> >>I agree that HA-switch is needed (not only for load 
> balancing), but if
> >>an DHAAD mechanism already supports load balancing, 
> signaling overhead
> >>and delay can be saved by skipping a subsequent HA-switch. If MNs
> >>frequently bootstrap with new HAs (e.g., when always using 
> local HAs),
> >>the saved signaling overhead and delay might be significant. 
> >>
> > 
> > 
> > I agree that HA switch may have large signaling overhead. 
> However, as
> > said in my previous post I think it is quite difficult to 
> achieve load
> > balancing in spit scenario during HA discovery if we rule 
> out DHAAD. In
> > integrated scenario, the issue may be less tricky.
> 
> Assume for a moment that RFC 3775 DHAAD had no issue with using IPsec
> and that anycast implementation were deployed, dynamic update 
> of routes
> such that anycast really works.
> 
> Would then RFC 3775 DHAAD provide 'load balancing'?
> 

IMHO, no.

> I'm asking because I think it is not at all clear for everyone what
> 'load balancing' is and how MIP6 is concerned by load balancing.
> 
> My own take on this is that even if RFC 3775 worked it 
> wouldn't provide
> 'load balancing' per se.  But, if the HAs co-ordinated themselves
> somehow with some existing load balancing protocol then load balancing
> would be achieved, because the HA list provided in DHAAD Reply and the
> HA list used by MN would allow MN to switch towards wherever 
> the load is
> minimal.
> 

This is one reason why it would not be enough. Another one is that it
does not provide load balancing across subnets. Other HA assignment or
other solutions (e.g. HA switch) mechanisms do that. 

--Gerardo

> Alex

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to 
[email-masked]. Thank you
====================================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6